Page MenuHomePhabricator

[Regression] In betalabs "Due to a technical error, this post could not be retrieved." for entries with triple curly brackets
Closed, ResolvedPublic

Description

On betalab - worked before for the same type of entry(take a look at http://en.wikipedia.beta.wmflabs.org/wiki/Talk:ET21 - topic 'Aug31-01'):

  1. Switch to wikitext mode.
  1. Paste the following into the post area.
{{{author=ET13}}} was moved on {{{date}}}
  1. Click to Save, then click to Edit the post - the following will be displayed:

[fa0e1239] Exception Caught: Conversion from 'html' to 'wikitext' was requested, but core's Parser only supports 'wikitext' to 'html' conversion.

Due to a technical error, this post could not be retrieved.

Happens on enwiki Beta and testwiki Beta.

Details

Related Gerrit Patches:

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 11:36 PM
Etonkovidova set Security to None.
DannyH triaged this task as Normal priority.Sep 16 2015, 5:53 PM
DannyH added a subscriber: DannyH.

This is also happening on mw.org. I didn't test on other production sites. It can be tested here https://www.mediawiki.org/wiki/Topic:Sp1uhl1rt1e3mpto

It seems to be related to https://gerrit.wikimedia.org/r/#/c/234667/4
We don't seem to have Flow parsoid configuration. When confirmedit is enabled, it tries to parse from html to wikitext. Since we don't have VRS config, it falls back to core parsing which doesn't support this conversion.

SBisson claimed this task.Sep 16 2015, 9:15 PM
SBisson raised the priority of this task from Normal to Unbreak Now!.

It's not that the config is missing. We are receiving a 500 from parsoid when converting "{{{something}}}" from html to wikitext.

It is not happening locally (mw-vagrant). With VRS, the code doesn't know if it is talking to parsoid or restbase.

SBisson lowered the priority of this task from Unbreak Now! to High.Sep 23 2015, 11:35 AM
SBisson removed SBisson as the assignee of this task.Sep 29 2015, 8:04 PM
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:45 PM

Change 246427 had a related patch set uploaded (by Catrope):
Temporarily disable RESTbase support to avoid data-parsoid issues

https://gerrit.wikimedia.org/r/246427

Catrope claimed this task.Oct 14 2015, 10:09 PM

Change 246427 merged by jenkins-bot:
Temporarily disable RESTbase support to avoid data-parsoid issues

https://gerrit.wikimedia.org/r/246427

Checked in betalabs.

Change 249026 had a related patch set uploaded (by Mattflaschen):
Temporarily disable RESTbase support to avoid data-parsoid issues

https://gerrit.wikimedia.org/r/249026

Change 249026 merged by jenkins-bot:
Temporarily disable RESTbase support to avoid data-parsoid issues

https://gerrit.wikimedia.org/r/249026

Catrope closed this task as Resolved.Nov 22 2015, 11:04 PM